# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.456.2.4 -> 1.456.2.5
#	drivers/usb/net/catc.c	1.13    -> 1.14   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/10	oliver@neukum.org	1.456.2.5
# [PATCH] catc: GFP_KERNEL in interrupt or with spinlocks held
# 
# bad usage of mem_flags in catc.
# --------------------------------------------
#
diff -Nru a/drivers/usb/net/catc.c b/drivers/usb/net/catc.c
--- a/drivers/usb/net/catc.c	Tue Apr 16 11:35:53 2002
+++ b/drivers/usb/net/catc.c	Tue Apr 16 11:35:53 2002
@@ -278,7 +278,7 @@
 			atomic_dec(&catc->recq_sz);
 			dbg("getting extra packet");
 			urb->dev = catc->usbdev;
-			if ((status = usb_submit_urb(urb, GFP_KERNEL)) < 0) {
+			if ((status = usb_submit_urb(urb, GFP_ATOMIC)) < 0) {
 				dbg("submit(rx_urb) status %d", status);
 			}
 		} else {
@@ -329,7 +329,7 @@
 				atomic_inc(&catc->recq_sz);
 		} else {
 			catc->rx_urb->dev = catc->usbdev;
-			if ((status = usb_submit_urb(catc->rx_urb, GFP_KERNEL)) < 0) {
+			if ((status = usb_submit_urb(catc->rx_urb, GFP_ATOMIC)) < 0) {
 				err("submit(rx_urb) status %d", status);
 			}
 		} 
@@ -351,7 +351,7 @@
 	catc->tx_urb->transfer_buffer = catc->tx_buf[catc->tx_idx];
 	catc->tx_urb->dev = catc->usbdev;
 
-	if ((status = usb_submit_urb(catc->tx_urb, GFP_KERNEL)) < 0)
+	if ((status = usb_submit_urb(catc->tx_urb, GFP_ATOMIC)) < 0)
 		err("submit(tx_urb), status %d", status);
 
 	catc->tx_idx = !catc->tx_idx;
